%{?mingw_package_header}

# Patented subpixel rendering disabled by default.
# Pass '--with subpixel_rendering' on rpmbuild command-line to enable.
%{!?_with_subpixel_rendering: %{!?_without_subpixel_rendering: %define _without_subpixel_rendering --without-subpixel_rendering}}

Name:           mingw-freetype
Version:        2.6.3
Release:        %mkrel 1
Summary:        Free and portable font rendering engine

License:        FTL or GPLv2+
URL:            http://www.freetype.org
Source0:        http://download.savannah.gnu.org/releases/freetype/freetype-%{version}.tar.bz2
Group:          Development/Other

# Patches from native Fedora package.
Patch21:        freetype-2.3.0-enable-spr.patch
Patch46:        freetype-2.2.1-enable-valid.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-bzip2
BuildRequires:  mingw32-libpng

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-bzip2
BuildRequires:  mingw64-libpng


%description
MinGW Windows Freetype library.

# Win32
%package -n mingw32-freetype
Summary:        Free and portable font rendering engine

%description -n mingw32-freetype
MinGW Windows Freetype library.

%package -n mingw32-freetype-static
Summary:        Static version of the MinGW Windows Freetype library
Requires:       mingw32-freetype = %{version}-%{release}
Group:          Development/Other

%description -n mingw32-freetype-static
Static version of the MinGW Windows Freetype library.

# Win64
%package -n mingw64-freetype
Summary:        Free and portable font rendering engine

%description -n mingw64-freetype
MinGW Windows Freetype library.

%package -n mingw64-freetype-static
Summary:        Static version of the MinGW Windows Freetype library
Requires:       mingw64-freetype = %{version}-%{release}
Group:          Development/Other

%description -n mingw64-freetype-static
Static version of the MinGW Windows Freetype library.


%?mingw_debug_package


%prep
%setup -q -n freetype-%{version}

%if %{?_with_subpixel_rendering:1}%{!?_with_subpixel_rendering:0}
%patch21  -p1 -b .enable-spr
%endif

%patch46  -p1 -b .enable-valid


%build
%mingw_configure --enable-static --enable-shared
%mingw_make %{?_smp_mflags}

# The ft2demos Makefile is hacky and doesn't understand
# cross-compilation.  This nearly works, but not quite, so
# disable. it.
#pushd ft2demos-%{version}
#make TOP_DIR=".." PLATFORM=win32
#popd


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove redundent man pages
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir} $RPM_BUILD_ROOT%{mingw64_mandir}


%files -n mingw32-freetype
%license docs/LICENSE.TXT
%{mingw32_bindir}/freetype-config
%{mingw32_bindir}/libfreetype-6.dll
%{mingw32_includedir}/freetype2
%{mingw32_libdir}/libfreetype.dll.a
%{mingw32_libdir}/pkgconfig/freetype2.pc
%{mingw32_datadir}/aclocal/freetype2.m4

%files -n mingw32-freetype-static
%{mingw32_libdir}/libfreetype.a

%files -n mingw64-freetype
%license docs/LICENSE.TXT
%{mingw64_bindir}/freetype-config
%{mingw64_bindir}/libfreetype-6.dll
%{mingw64_includedir}/freetype2
%{mingw64_libdir}/libfreetype.dll.a
%{mingw64_libdir}/pkgconfig/freetype2.pc
%{mingw64_datadir}/aclocal/freetype2.m4

%files -n mingw64-freetype-static
%{mingw64_libdir}/libfreetype.a




%changelog
* Wed May 11 2016 tv <tv> 2.6.3-1.mga6
+ Revision: 1012667
- new release

* Tue Apr 05 2016 tv <tv> 2.6-1.mga6
+ Revision: 998633
- new release

* Sat Feb 06 2016 umeabot <umeabot> 2.5.0.1-4.mga6
+ Revision: 940672
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0.1-3.mga5
+ Revision: 750034
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0.1-2.mga5
+ Revision: 682432
- Mageia 5 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 2.5.0.1-1.mga4
+ Revision: 483585
- imported package mingw-freetype

